#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=powerpc-440fp
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-ppc -M bamboo -nographic -no-reboot -kernel linux -initrd rootfs.cpio.gz -append "panic=1 console=ttyS0 HOST=powerpc-440fp $KERNEL_EXTRA" $QEMU_EXTRA
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
